DEROtherInfo.Builder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.util

## Class DEROtherInfo.Builder

- java.lang.Object
- - org.bouncycastle.crypto.util.DEROtherInfo.Builder

- Enclosing class:
    DEROtherInfo

      public static final class DEROtherInfo.Builder
      extends java.lang.Object

  Builder to create OtherInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DEROtherInfo.Builder(AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo)` Create a basic builder with just the compulsory fields.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DEROtherInfo` | `build()` Build the KTSOtherInfo.
    `DEROtherInfo.Builder` | `withSuppPrivInfo(byte[] suppPrivInfo)` Add optional supplementary private info (DER tagged, implicit, 1).
    `DEROtherInfo.Builder` | `withSuppPubInfo(byte[] suppPubInfo)` Add optional supplementary public info (DER tagged, implicit, 0).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DEROtherInfo.Builder

          public DEROtherInfo.Builder(AlgorithmIdentifier algorithmID,
                              byte[] partyUInfo,
                              byte[] partyVInfo)

      Create a basic builder with just the compulsory fields.
      Parameters:
        `algorithmID` - the algorithm associated with this invocation of the KDF.
        `partyUInfo` - sender party info.
        `partyVInfo` - receiver party info.

  - ### Method Detail

    - #### withSuppPubInfo

          public DEROtherInfo.Builder withSuppPubInfo(byte[] suppPubInfo)

      Add optional supplementary public info (DER tagged, implicit, 0).
      Parameters:
        `suppPubInfo` - supplementary public info.
      Returns:
        the current builder instance.

    - #### withSuppPrivInfo

          public DEROtherInfo.Builder withSuppPrivInfo(byte[] suppPrivInfo)

      Add optional supplementary private info (DER tagged, implicit, 1).
      Parameters:
        `suppPrivInfo` - supplementary private info.
      Returns:
        the current builder instance.

    - #### build

          public DEROtherInfo build()

      Build the KTSOtherInfo.
      Returns:
        an KTSOtherInfo containing the data.